# CHANGELOG for ds_redis cookbook

## v2.0.0

* Add default config for `bind`
    - Breaking b/c of the potential for `bind` to be unset, but `requirepass` to be set, thus allowing connections on all interfaces

## v1.0.2

* Add missing `save` default Redis config (#2)
* Automate testing using Travis (#1)
* Use `apt` cookbook instead of directly calling `apt_update`

## v1.0.1

* Ensure `apt` is updated
* Update docs & tests per rename

## v1.0.0

### Based on code downloaded from https://supermarket.chef.io/cookbooks/redis

* Rename to `ds_redis`
* Install Redis v3.2.11 from official archive
* Enable & start Redis as a service using `poise-service`
* Use the default configuration, save for 3 changes:
    - `supervised systemd`, b/c we are running this under SystemD
    - Set a `logfile`, so we log somewhere
    - Set `dir` to a value other than the default of Redis’ own directory
